Loading...
Searching...
No Matches
caf::actor Class Reference

Identifies an untyped actor. More...

`#include <actor.hpp>`

Inheritance diagram for caf::actor:

## Public Types

using | signatures = none_t

## Public Member Functions

| actor (actor &&)=default
| actor (const actor &)=default
actor & | operator= (actor &&)=default
actor & | operator= (const actor &)=default
| actor (std::nullptr_t)
| actor (const scoped_actor &)
template<class T, class = detail::enable_if_t<actor_traits<T>::is_dynamically_typed>>
| actor (T *ptr)
template<class T, class = detail::enable_if_t<actor_traits<T>::is_dynamically_typed>>
actor & | operator= (intrusive_ptr< T > ptr)
template<class T, class = detail::enable_if_t<actor_traits<T>::is_dynamically_typed>>
actor & | operator= (T *ptr)
actor & | operator= (std::nullptr_t)
actor & | operator= (const scoped_actor &x)
| operator bool () const
| Queries whether this actor handle is valid.
bool | operator! () const
| Queries whether this actor handle is invalid.
actor_addr | address () const noexcept
| Returns the address of the stored actor.
actor_id | id () const noexcept
| Returns the ID of this actor.
node_id | node () const noexcept
| Returns the origin node of this actor.
actor_system & | home_system () const noexcept
| Returns the hosting actor system.
void | swap (actor &other) noexcept
| Exchange content of *this and other.

## Static Public Attributes

static constexpr bool | has_weak_ptr_semantics = false

## Friends

class | local_actor
template<class, class, int>
class | actor_cast_access
std::string | to_string (const actor &x)
void | append_to_string (std::string &x, const actor &y)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, actor &x)
void | destroy (actor &x)
| Releases the reference held by handle x.

## Related Symbols

(Note that these are not member symbols.)
template<class... Ts>
actor | splice (const actor &x, const actor &y, const Ts &... zs)
bool | operator== (const actor &lhs, abstract_actor *rhs)
bool | operator== (abstract_actor *lhs, const actor &rhs)
bool | operator!= (const actor &lhs, abstract_actor *rhs)
bool | operator!= (abstract_actor *lhs, const actor &rhs)

## Detailed Description

Identifies an untyped actor.

Can be used with derived types of event_based_actor, blocking_actor, and actor_proxy.

Examples
  hello_world.cpp.

## Friends And Related Symbol Documentation

## destroy

void destroy | ( | actor & | x | ) |

friend

Releases the reference held by handle x.

Using the handle after invalidating it is undefined behavior.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor.hpp